/[gentoo-x86]/gnome-extra/libgda/libgda-5.2.2.ebuild
Gentoo

Diff of /gnome-extra/libgda/libgda-5.2.2.ebuild

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.3 Revision 1.6
1# Copyright 1999-2014 Gentoo Foundation 1# Copyright 1999-2015 Gentoo Foundation
2# Distributed under the terms of the GNU General Public License v2 2# Distributed under the terms of the GNU General Public License v2
3# $Header: /var/cvsroot/gentoo-x86/gnome-extra/libgda/libgda-5.2.2.ebuild,v 1.3 2014/03/09 12:00:39 pacho Exp $ 3# $Header: /var/cvsroot/gentoo-x86/gnome-extra/libgda/libgda-5.2.2.ebuild,v 1.6 2015/03/07 03:18:51 tetromino Exp $
4 4
5EAPI="5" 5EAPI="5"
6GNOME2_LA_PUNT="yes" 6GNOME2_LA_PUNT="yes"
7GCONF_DEBUG="yes" 7GCONF_DEBUG="yes"
8PYTHON_COMPAT=( python{2_6,2_7} ) 8PYTHON_COMPAT=( python{2_6,2_7} )
14 14
15DESCRIPTION="GNOME database access library" 15DESCRIPTION="GNOME database access library"
16HOMEPAGE="http://www.gnome-db.org/" 16HOMEPAGE="http://www.gnome-db.org/"
17LICENSE="GPL-2+ LGPL-2+" 17LICENSE="GPL-2+ LGPL-2+"
18 18
19IUSE="berkdb bindist canvas firebird gtk graphviz http +introspection json ldap libsecret mdb mysql oci8 postgres reports sourceview ssl" # vala 19IUSE="berkdb canvas firebird gtk graphviz http +introspection json ldap libsecret mdb mysql oci8 postgres reports sourceview ssl" # vala
20REQUIRED_USE=" 20REQUIRED_USE="
21 reports? ( ${PYTHON_REQUIRED_USE} ) 21 reports? ( ${PYTHON_REQUIRED_USE} )
22 canvas? ( gtk ) 22 canvas? ( gtk )
23 firebird? ( !bindist )
24 graphviz? ( gtk ) 23 graphviz? ( gtk )
25 sourceview? ( gtk ) 24 sourceview? ( gtk )
26" 25"
27# firebird license is not GPL compatible 26# firebird license is not GPL compatible
28 27
35 >=dev-libs/libxml2-2 34 >=dev-libs/libxml2-2
36 dev-libs/libxslt 35 dev-libs/libxslt
37 sys-libs/readline:= 36 sys-libs/readline:=
38 sys-libs/ncurses:= 37 sys-libs/ncurses:=
39 berkdb? ( sys-libs/db ) 38 berkdb? ( sys-libs/db )
40 !bindist? ( firebird? ( dev-db/firebird ) ) 39 firebird? ( dev-db/firebird )
41 gtk? ( 40 gtk? (
42 >=x11-libs/gtk+-3.0.0:3 41 >=x11-libs/gtk+-3.0.0:3
43 canvas? ( x11-libs/goocanvas:2.0= ) 42 canvas? ( x11-libs/goocanvas:2.0= )
44 sourceview? ( x11-libs/gtksourceview:3.0 ) 43 sourceview? ( x11-libs/gtksourceview:3.0 )
45 graphviz? ( media-gfx/graphviz ) 44 graphviz? ( media-gfx/graphviz )
49 json? ( dev-libs/json-glib ) 48 json? ( dev-libs/json-glib )
50 ldap? ( net-nds/openldap:= ) 49 ldap? ( net-nds/openldap:= )
51 libsecret? ( app-crypt/libsecret ) 50 libsecret? ( app-crypt/libsecret )
52 mdb? ( >app-office/mdbtools-0.5:= ) 51 mdb? ( >app-office/mdbtools-0.5:= )
53 mysql? ( virtual/mysql:= ) 52 mysql? ( virtual/mysql:= )
54 postgres? ( dev-db/postgresql-base:= ) 53 postgres? ( dev-db/postgresql:= )
55 reports? ( 54 reports? (
56 ${PYTHON_DEPS} 55 ${PYTHON_DEPS}
57 dev-java/fop 56 dev-java/fop
58 dev-python/reportlab ) 57 dev-python/reportlab )
59 ssl? ( dev-libs/openssl:= ) 58 ssl? ( dev-libs/openssl:= )
67 virtual/pkgconfig 66 virtual/pkgconfig
68 java? ( virtual/jdk:1.6 )" 67 java? ( virtual/jdk:1.6 )"
69# vala? ( $(vala_depend) ) 68# vala? ( $(vala_depend) )
70 69
71# FIXME: lots of tests failing. Check if they still fail in 5.1.2 70# FIXME: lots of tests failing. Check if they still fail in 5.1.2
71# firebird support bindist-restricted because it is not GPL compatible
72RESTRICT="test" 72RESTRICT="test
73 firebird? ( bindist )"
73 74
74pkg_setup() { 75pkg_setup() {
75 java-pkg-opt-2_pkg_setup 76 java-pkg-opt-2_pkg_setup
76 use reports && python-single-r1_pkg_setup 77 use reports && python-single-r1_pkg_setup
77} 78}

Legend:
Removed from v.1.3  
changed lines
  Added in v.1.6

  ViewVC Help
Powered by ViewVC 1.1.20